# Applovin MAX Adapter Installation

iOS Applovin MAX Adapter Installation

## Adding AdView to MAX 

### Step 1: Log in to your AppLovin account and select MAX to configure AdView

As explained above, you must have an AppLovin account and select the MAX option in order to integrate AdView.

### Step 2: Create a new Ad unit ID

Under the MAX subtab, select Ad Units, and then click "Create Ad Unit"

[![XxFDfJ.md.png](https://s1.ax1x.com/2022/06/20/XxFDfJ.md.png)](https://imgtu.com/i/XxFDfJ)

Provide a name for your new AD unit. After selecting the device type, enter your application name, package name, bundle ID, or digital iTunes ID, and select the AD type, then go to the bottom and click "Save"

[![XzyxbQ.md.png](https://s1.ax1x.com/2022/06/21/XzyxbQ.md.png)](https://imgtu.com/i/XzyxbQ)

[![XxZWJU.md.png](https://s1.ax1x.com/2022/06/20/XxZWJU.md.png)](https://imgtu.com/i/XxZWJU)

### Step 3: Add a custom network to your AD unit

Under the MAX subtab, Click the Networks option, then go to the bottom and Click "Click here to add a Custom Network".

[![XxeO7q.md.png](https://s1.ax1x.com/2022/06/20/XxeO7q.md.png)](https://imgtu.com/i/XxeO7q)

Provide a name for your new network,select "SDK" for network type,add the following class to the "iOS Adapter Class Name" section for your Network，then click “Save”

[![XzbFRU.md.png](https://s1.ax1x.com/2022/06/21/XzbFRU.md.png)](https://imgtu.com/i/XzbFRU)



**Banner Class Name**:

```
AdviewCustomBannerAdapter
```

**MREC Class Name**:

```
AdviewCustomMrecAdapter
```

**Interstitial Class Name**:

```
AdviewCustomInterstitialsAdapter
```

**Reward video Class Name**:

```
AdviewCustomRewardAdapter
```

**Native Class Name**:

```
AdviewCustomNativeAdapter
```



Now click Ad Units under MAX, and then click the Ad unit you just created

[![XzLBrQ.md.png](https://s1.ax1x.com/2022/06/21/XzLBrQ.md.png)](https://imgtu.com/i/XzLBrQ)

Find "Custom Networks & Deals", select the network you just created, turn on the switch, configure the AdView APPID(SDK-KEY) and Placement ID(posId), and set the CPM price, then click the "Save" button in the lower left corner

```
 App ID (AdView SDK-KEY);Placement ID (AdView posId)
```

[![XzO1zT.md.png](https://s1.ax1x.com/2022/06/21/XzO1zT.md.png)](https://imgtu.com/i/XzO1zT)

[![XxZWJU.md.png](https://s1.ax1x.com/2022/06/20/XxZWJU.md.png)](https://imgtu.com/i/XxZWJU)

Now you have completed the setup, and only need simple integration to display AdView ads.

##AppLovin MAX Adapter Installation

iOS Applovin MAX Adapter Installation

### Step 1: Get the file with the adapter 

#### Manual SDK Download

When you see this document, you should have obtained the following documents:

* AdViewAdapter file
* AppLovin MAX Demo App - ObjC file

 Add the AdViewSDK folder  &  AdViewSDK & AdViewAdapter & AppLovinSDK  into your Project
 
 Add AdViewSDK.xcframework in Build Phases - Embed Frameworks.

[![pPW2gFx.png](https://z1.ax1x.com/2023/09/15/pPW2gFx.png)](https://imgse.com/i/pPW2gFx)


Otherwise please contact your AM or partner@adview.com.

#### CocoaPods

The easiest way to add adapter to you application is CocoaPods. Just add the following dependency to your Podfile:

```pod 'AppLovinMediationAdViewAdapter'```

Then from the command line run:

```pod install --repo-update```

If you're new to CocoaPods, see their [official documentation](https://guides.cocoapods.org/using/using-cocoapods) for info on how to create and use Podfiles.

###Step 2: Use Applovin MAX sdk to display ADs

[Applovin MAX quick-start](https://dash.applovin.com/documentation/mediation/max/get-started-with-max)

Follow the steps described in the Applovin MAX Ads documentation for [banner ads](https://dash.applovin.com/documentation/mediation/ios/ad-formats/banners).

Follow the steps described in the Applovin MAX Ads documentation for [interstitial ads](https://dash.applovin.com/documentation/mediation/ios/ad-formats/interstitials).

Follow the steps described in the Applovin MAX Ads documentation for [rewarded ads](https://dash.applovin.com/documentation/mediation/ios/ad-formats/rewarded-ads).

Follow the steps described in the Applovin MAX Ads documentation for [mrec ads](https://dash.applovin.com/documentation/mediation/ios/ad-formats/mrecs).

Follow the steps described in the Applovin MAX Ads documentation for [Native ads](https://dash.applovin.com/documentation/mediation/ios/ad-formats/native-manual).

Or refer to the demo for Implementation steps: It include banner & mrec & interstitial & rewarded video & mrecs & native ad 

[![jnBaZj.jpg](https://s1.ax1x.com/2022/06/29/jnBaZj.jpg)](https://imgtu.com/i/jnBaZj)
[![jnBfoR.jpg](https://s1.ax1x.com/2022/06/29/jnBfoR.jpg)](https://imgtu.com/i/jnBfoR)
[![jnBIW6.jpg](https://s1.ax1x.com/2022/06/29/jnBIW6.jpg)](https://imgtu.com/i/jnBIW6)
[![jnB7QO.jpg](https://s1.ax1x.com/2022/06/29/jnB7QO.jpg)](https://imgtu.com/i/jnB7QO)
[![jnBLeH.jpg](https://s1.ax1x.com/2022/06/29/jnBLeH.jpg)](https://imgtu.com/i/jnBLeH)
### Step 3: CustomEvent adapter module

At the AdViewSDK folder, all of the custom events at here:

[![pPW2hlD.png](https://z1.ax1x.com/2023/09/15/pPW2hlD.png)](https://imgse.com/i/pPW2hlD)

### Step 4: GDPR 

AdViewSDK support GDPR protocol, you only need to implement its proxy method and pass in the corresponding value

``` objc
@protocol AdViewViewDelegate <AdViewGDPRProcotolV1, AdViewGDPRProcotolV2>
@protocol AdViewVideoDelegate <AdViewGDPRProcotolV1, AdViewGDPRProcotolV2>
@protocol AdViewNativeAdDelegate <AdViewGDPRProcotolV1, AdViewGDPRProcotolV2>

@protocol AdViewGDPRProcotolV1 <NSObject>
@optional  
- (BOOL)CMPPresent;  
- (BOOL)subjectToGDPR;  
- (NSString *)userConsentString;  
- (NSString *)parsedPurposeConsents;  
- (NSString *)parsedVendorConsents;

@protocol AdViewGDPRProcotolV2 <NSObject>
@optional
- (BOOL)GDPRApplies;
- (NSString *)TCFString;
- 
```

### Step 5:You’re all done! 

Your ApplovinMAX SDK should start showing AdView ads immediately.

Otherwise please contact your AM or partner@adview.com.![](![](![](![]())))